Bug 20330 - anaconda dies on hard disk install
anaconda dies on hard disk install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-04 04:43 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-11 19:17:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-04 04:43:38 EST
Anaconda dies during hard disk install

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    
intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/
anaconda/text.py", line 1030, in run
  File "/var/tmp/anaconda-7.0.1//usr/
lib/anaconda/text.py", line 507, in __call__
  File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/todo.py", line 1526, in doInstall
IOError: [Errno 2] 
No such file or directory: '/mnt/sysimage/tmp/upgrade.log'

Local variables 
in innermost frame:
arch: i386
total: 621
msg: File exists
logname: /tmp/
upgrade.log
i: /etc/X11
p: zsh
l: [abiword, am-utils, anaconda, anacron, 
anonftp, apache, apache-devel, apache-manual, apmd, ash, aspell, aspell-de, 
at, audiofile, audiofile-devel, auth_ldap, authconfig, autoconf, autofs, 
automake, basesystem, bash, bash-doc, bc, bdflush, bind, bind-devel, bind-
utils, binutils, bison, blt, bootparamd, bug-buddy, byacc, bzip2, bzip2-
devel, caching-nameserver, cdecl, chkconfig, chkfontpath, compat-egcs, 
compat-egcs-c++, compat-egcs-g77, compat-egcs-objc, compat-glibc, compat-
libstdc++, console-tools, control-center, control-center-devel, control-
panel, cpio, cpp, cproto, cracklib, cracklib-dicts, crontabs, ctags, cvs, 
cyrus-sasl, db1, db1-devel, db2, db2-devel, db3, db3-devel, db3-utils, 
desktop-backgrounds, dev, dev86, dhcp, dhcpcd, dia, dialog, diffstat, 
diffutils, dip, docbook, dosfstools, dump, e2fsprogs, e2fsprogs-devel, ed, 
ee, eject, ElectricFence, elm, emacs, emacs-el, emacs-leim, emacs-nox, 
emacs-X11, enlightenment, enscript, esound, esound-devel, exmh, expect, 
ext2ed, extace, fbset, fetchmail, fetchmailconf, file, filesystem, 
fileutils, findutils, finger, finger-server, flex, fnlib, fnlib-devel, 
fortune-mod, freetype, freetype-devel, freetype-utils, ftp, fvwm2, fvwm2-
icons, gawk, gcc, gcc-c++, gcc-objc, gd, gd-devel, gdb, gdbm, gdbm-devel, 
gdk-pixbuf, gdk-pixbuf-devel, gdm, gedit, genromfs, gettext, getty_ps, gftp, 
ghostscript, ghostscript-fonts, giftrans, gimp, gimp-data-extras, gimp-
devel, gimp-perl, glade, glib, glib-devel, glib10, glibc, glibc-devel, gmc, 
gmp, gnome-applets, gnome-audio, gnome-core, gnome-core-devel, gnome-games, 
gnome-games-devel, gnome-libs, gnome-libs-devel, gnome-linuxconf, gnome-
media, gnome-objc, gnome-objc-devel, gnome-pim, gnome-pim-devel, gnome-
print, gnome-print-devel, gnome-users-guide, gnome-utils, gnorpm, gnotepad+, 
gnuchess, gnumeric, gnupg, gnuplot, gphoto, gpm, gpm-devel, gqview, grep, 
groff, groff-gxditview, groff-perl, gsl, gtk+, gtk+-devel, gtk+10, gtk-
engines, gtop, guile, gv, gzip, hdparm, ical, ImageMagick, imap, imap-devel, 
imlib, imlib-cfgeditor, imlib-devel, indent, indexhtml, inews, info, 
initscripts, ipchains, iputils, ircii, isapnptools, isdn-config, isdn4k-
utils, itcl, jadetex, jikes, kaffe, kbdconfig, kdeadmin, kdebase, kdegames, 
kdegraphics, kdelibs, kdelibs-devel, kdemultimedia, kdenetwork, kdesupport, 
kdesupport-devel, kdetoys, kdeutils, kernel, kernel-doc, kernel-headers, 
kernel-pcmcia-cs, kernel-source, kernel-utils, kernelcfg, kgcc, korganizer, 
kpackage, krb5-libs, kudzu, less, libelf, libghttp, libghttp-devel, 
libglade, libglade-devel, libgtop, libgtop-devel, libjpeg, libjpeg-devel, 
libpcap, libpng, libpng-devel, libPropList, librep, librep-devel, libstdc++, 
libstdc++-devel, libtermcap, libtermcap-devel, libtiff, libtiff-devel, 
libtool, libtool-libs, libungif, libungif-devel, libungif-progs, libxml, 
libxml-devel, libxml10, lilo, linuxconf, linuxconf-devel, logrotate, 
losetup, lout, lout-doc, LPRng, lrzsz, lslk, lsof, ltrace, lynx, m4, 
macutils, magicdev, mailcap, mailx, make, MAKEDEV, man, man-pages, mawk, mc, 
mcserv, memprof, Mesa, metamail, mgetty, mgetty-sendfax, mikmod, mingetty, 
minicom, mkbootdisk, mkinitrd, mkisofs, mktemp, mkxauth, mod_perl, mod_php, 
mod_ssl, modemtool, modutils, mount, mouseconfig, mpage, mt-st, mtools, 
mutt, mysql, mysql-server, nc, ncftp, ncompress, ncurses, ncurses-devel, 
ncurses4, net-tools, netcfg, netpbm, netpbm-devel, netpbm-progs, netscape-
common, netscape-communicator, newt, newt-devel, nfs-utils, nmh, nscd, 
nss_ldap, ntp, ntsysv, openjade, openldap, openldap-clients, openldap-devel, 
openldap-servers, openssl, openssl-devel, ORBit, ORBit-devel, p2c, p2c-
devel, pam, passwd, patch, pciutils, pdksh, perl, php, php-imap, php-ldap, 
php-manual, php-mysql, php-pgsql, pidentd, pilot-link, pilot-link-devel, 
pine, pmake, popt, portmap, postgresql, postgresql-devel, postgresql-jdbc, 
postgresql-odbc, postgresql-perl, postgresql-python, postgresql-server, 
postgresql-tcl, postgresql-tk, ppp, printtool, procinfo, procmail, procps, 
procps-X11, psgml, psmisc, pspell, pump, pwdb, pygnome, pygnome-applet, 
pygnome-capplet, pygnome-libglade, pygtk, pygtk-libglade, python, python-
devel, python-docs, python-tools, python-xmlrpc, pythonlib, qt, qt1x, qt1x-
devel, quota, raidtools, rcs, rdate, rdist, readline, readline-devel, 
readline2.2.1, redhat-logos, redhat-release, rep-gtk, rep-gtk-gnome, rep-
gtk-libglade, rgrep, rhclib, rhclib-devel, rhmask, rhn_register, 
rhn_register-gnome, rhs-printfilters, rmt, rootfiles, routed, rp3, rpm, rpm-
build, rpm-devel, rpm-python, rpmfind, rsh, rsh-server, rsync, rusers, 
rusers-server, rwall, rwall-server, rwho, rxvt, sash, sawfish, sawfish-
themer, screen, sed, sendmail, sendmail-cf, sendmail-doc, setserial, setup, 
setuptool, sgml-common, sgml-tools, sh-utils, shadow-utils, sharutils, 
slang, slang-devel, sliplogin, slocate, slrn, specspo, squid, stat, 
statserial, strace, stunnel, stylesheets, sudo, switchdesk, switchdesk-
gnome, symlinks, sysklogd, SysVinit, talk, talk-server, taper, tar, tcl, 
tclx, tcp_wrappers, tcpdump, tcsh, telnet, telnet-server, termcap, tetex, 
tetex-afm, tetex-doc, tetex-dvilj, tetex-dvips, tetex-fonts, tetex-latex, 
tetex-xdvi, texinfo, textutils, tftp, tftp-server, time, timeconfig, timed, 
timetool, tin, tix, tk, tkinter, tksysv, tmpwatch, traceroute, transfig, 
trn, trojka, ucd-snmp, ucd-snmp-utils, umb-scheme, unarj, units, unzip, 
up2date, up2date-gnome, urlview, urw-fonts, usermode, utempter, util-linux, 
uucp, vim-common, vim-enhanced, vim-minimal, vim-X11, vixie-cron, vlock, 
w3c-libwww, w3c-libwww-apps, w3c-libwww-devel, wget, which, whois, 
WindowMaker, WindowMaker-libs, wmconfig, words, wu-ftpd, wvdial, Xaw3d, 
Xaw3d-devel, xbill, xboard, xboing, xchat, Xconfigurator, xcpustate, 
xdaliclock, xfig, XFree86, XFree86-100dpi-fonts, XFree86-3DLabs, XFree86-
75dpi-fonts, XFree86-8514, XFree86-AGX, XFree86-cyrillic-fonts, XFree86-
devel, XFree86-doc, XFree86-FBDev, XFree86-I128, XFree86-ISO8859-2, XFree86-
ISO8859-2-100dpi-fonts, XFree86-ISO8859-2-75dpi-fonts, XFree86-ISO8859-2-
Type1-fonts, XFree86-ISO8859-9, XFree86-ISO8859-9-100dpi-fonts, XFree86-
ISO8859-9-75dpi-fonts, XFree86-libs, XFree86-Mach32, XFree86-Mach64, 
XFree86-Mach8, XFree86-Mono, XFree86-SVGA, XFree86-tools, XFree86-twm, 
XFree86-VGA16, XFree86-xdm, XFree86-xf86cfg, XFree86-xfs, XFree86-Xvfb, 
xgammon, xinetd, xinitrc, xjewel, xlispstat, xloadimage, xmailbox, xmms, 
xmms-devel, xmms-gnome, xmorph, xosview, xpaint, xpat2, xpdf, xpilot, 
xpuzzles, xrn, xscreensaver, xsri, xsysinfo, xtoolwait, xtrojka, xxgdb, yp-
tools, ypbind, ypserv, ytalk, zip, zlib, zlib-devel, zsh]
db: <rpmdb object 
at 9522ac8>
self: <todo.ToDo instance at 81fbd28>
how: u
errno: 
17
totalSize: 1206091
f: <closed file '/mnt/sysimage/etc/mtab', mode 'w+' at 
94ebb78>
ts: <rpmtrans object at 99361c0>

ToDo 
object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod

p4
(dp5
S'fstype'
p6
S'ext2'
p7
sS'isMounted'
p8
I0
sS'fnames'
p9
(dp10

<
failed>
Comment 1 Michael Fulbright 2000-11-07 10:21:09 EST
Please make sure that /tmp is not a symlink on your system.
Comment 2 Need Real Name 2000-11-11 19:17:30 EST
/tmp was a link and changing this solved the problem

Note You need to log in before you can comment on or make changes to this bug.